%define upstream_name	 Class-Trigger
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mixin to add / call inheritable triggers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IO::WrapTie)
BuildRequires: perl(Test::More) >= 0.320.0
BuildArch:  noarch

%description
Class::Trigger is a mixin class to add / call triggers (or hooks)
that get called at some points you specify.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Tue Apr 07 2020 tv <tv> 0.150.0-1.mga8
+ Revision: 1565357
- update to 0.15

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-11.mga8
+ Revision: 1503578
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-10.mga7
+ Revision: 1282273
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.140.0-9.mga7
+ Revision: 1163381
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.140.0-8.mga7
+ Revision: 1158878
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.140.0-7.mga6
+ Revision: 1024253
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.140.0-6.mga6
+ Revision: 941248
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 749680
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 683947
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 510149
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 364524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 10091
- imported package perl-Class-Trigger

